## fftw3 3.3

=== debian/changelog ===
fftw3 (3.3-1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Revert the ARM workaround.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2011 13:21:22 +0100

fftw3 (3.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Package moved into the Debian Science team (no answer from the previous
    maintainer) and package not maintained.
  * Standards-Version updated to version 3.9.2
  * Vcs-Browser & Vcs-Svn updated
  * lintian brace-expansion-in-debhelper-config-file fixed
  * lintian non-empty-dependency_libs-in-la-file fixed
  * Sync from Ubuntu (Closes: #624285)
  * Switch to dpkg-source 3.0 (quilt) format
  * Provide the debug symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Nov 2011 01:13:21 +0100

fftw3 (3.2.2-1ubuntu3) precise; urgency=low

  * Revert the armel work-around. LP: #841437.

 -- Matthias Klose <doko@ubuntu.com> Sat, 03 Dec 2011 19:23:51 +0100

fftw3 (3.2.2-1ubuntu2) oneiric; urgency=low

  * Work around FTBFS on armel, build some files with -O1. LP: #841437.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 16:18:43 +0200

fftw3 (3.2.2-1ubuntu1) oneiric; urgency=low

  * Rebuild with gfortran-4.6.
  * Configure with --enable-sse --enable-sse2 on amd64. LP: #602586.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 11:19:17 +0200

fftw3 (3.2.2-1) unstable; urgency=low

  * New upstream release
  * Acknowledge non-maintainer upload (closes: #532340, #532301),
    thanks to Cyril Brulebois
  * debian/control
    - add ${misc:Depends}
    - bump Standards-Version to 3.8.3, debhelper to >= 7.0.0
    - span build-depends on multiple lines
    - added Vcs-Bzr and Vcs-Browser fields
  * debian/rules
    - fix bashisms (closes: #535378)
    - only install long double where needed (closes: #540408)
    - use dh_prep
  * debian/compat: bump to 7
  * debian/README.source: add reference to quilt documentation

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 15:58:13 +0100

fftw3 (3.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on powerpc: stop passing “-maltivec” through CFLAGS in
    debian/rules, thanks to Aurélien Jarno (closes: #532340).
  * Fix FTBFS on GNU/kFreeBSD: improve the detection of POSIX semaphores
    (they can be shared or non-shared, and GNU/kFreeBSD only supports
    the latter), thanks to Petr Salinger (closes: #532301):
     + 04_improve_semaphore_detection.diff

 -- Cyril Brulebois <kibi@debian.org>  Thu, 25 Jun 2009 01:01:04 +0200

fftw3 (3.2.1-2) unstable; urgency=low

  * Move texinfo from Build-Depends-Indep to Build-Depends (closes: #522502)

 -- Paul Brossier <piem@debian.org>  Mon, 06 Apr 2009 15:31:13 +0200

fftw3 (3.2.1-1) unstable; urgency=low

  * New upstream release (closes: #502247, #505842, #515223)
  * Patch from #486046 was included upstream (closes: #486046)
  * Acknowledge non-maintainer upload (closes: #478376)
  * Add build-depends on quilt and switch to patches
  * Switch from gs-gpl to ghostscript (>> 8.63)
  * Add 03_fix_manpages to add missing backslash in manpages
  * Add Homepage and bump Standards-Version to 3.8.1
  * Bump debhelper depends to >=5.0.0
  * Update debian/copyright

 -- Paul Brossier <piem@debian.org>  Fri, 03 Apr 2009 18:00:56 +0200

fftw3 (3.1.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478376)
  * debian/control:
    - Add ${shlibs:Depends} to binary Depends of libfftw3-dev to satisfy
      libc dependency for test and utility programs.
    - Bump Standards-Version to 3.8.0

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 17:59:46 +0100

fftw3 (3.1.2-3) unstable; urgency=low

  * Rename fftw3{,-dev,-doc} to libfftw3{,-dev,-doc}.
    (closes: #430238, #378444)
  * Add Conflicts/Replaces/Provides to all packages accordingly.
  * Add -$(RM) -rf debian/tmp-long-double to debian/rules:clean 
    (closes: #424261)

 -- Paul Brossier <piem@debian.org>  Fri, 03 Aug 2007 13:33:47 +0200

fftw3 (3.1.2-2) unstable; urgency=low

  * debian/rules, debian/control: switching fortran compiler from g77 to
    gfortran, avoiding dependancies against older gcc binaries. Compatibility
    with g77 compiled libraries should work, since the -ff2c option is used.
    DEB_BUILD_OPTIONS=nog77 can be used to disable backward compatibility.
    Thanks to Steven G. Johnson and Warren Turkal. (closes: #392301)
  * debian/fftw3-doc.doc-base.{fftw3-faq,manual}: add missing Index: line to
    Info and Text formats (closes: #418798)

 -- Paul Brossier <piem@debian.org>  Fri, 13 Apr 2007 11:24:21 +0200

fftw3 (3.1.2-1) unstable; urgency=low

  * New upstream release (closes: #376967)
  * debian/rules: enable altivec optimisations on powerpc (closes: #225959)
  * debian/fftw3-dev: manpages are in usr/share/man/man1
  * fix noopt build option.

 -- Paul Brossier <piem@debian.org>  Thu, 27 Jul 2006 12:13:39 +0200

fftw3 (3.1.1-2) unstable; urgency=low

  * fftw3-dev: use versioned dependancy against fftw3 (= ${Source-version})
    (closes: #372246) instead of '${shlibs:Depends}, pkg-config'

 -- Paul Brossier <piem@debian.org>  Sat,  1 Jul 2006 13:17:24 +0200

fftw3 (3.1.1-1) unstable; urgency=low

  * New upstream release (closes: #350327, #338487, #338501)
  * Add --enable-portable-binary to use -mtune instead of -march
  * Use --with-gcc-arch=G5 / pentium4 on powerpc / i386
  * Updated Standards-Version

 -- Paul Brossier <piem@debian.org>  Wed, 31 May 2006 13:44:05 +0200

fftw3 (3.0.1-14) unstable; urgency=low

  * Fixes in acinclude.m4:
    + bypass all checks for specific architecture flags
    + make gcc flags check even when CFLAGS is set
    + don't add -fomit-frame-pointer to CFLAGS (automatically added
      by -O on machines that supports it)
    + avoid overwriting CFLAGS passed from configure
    + don't compile codelets with -O3

  * Other fixes in source tree:
    + add AC_CANONICAL_HOST to configure.in

