=== debian/control ===
Source: fftw3
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>=7.0.0),
               gfortran,
               texinfo, quilt
Build-Depends-Indep: transfig, ghostscript (>> 8.63)
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fftw3/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/fftw3/
Homepage: http://fftw.org
Standards-Version: 3.9.2

Package: libfftw3-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libfftw3-dev
Provides: fftw3
Replaces: fftw3
Conflicts: fftw3
Description: library for computing Fast Fourier Transforms
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 versions of the fftw libraries in single, double and long double precisions.
 Note that on some architectures double is the same as long double in which
 case there is no long double library.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-dev
Architecture: any
Section: libdevel
Depends: libfftw3-3 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: fftw3-dev
Replaces: fftw3-dev
Conflicts: fftw3-dev
Description: library for computing Fast Fourier Transforms
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 For documentation, see libfftw3-doc.

Package: libfftw3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libfftw3-3
Provides: fftw3-doc
Replaces: fftw3-doc
Conflicts: fftw3-doc
Description: documentation for fftw version 3
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the documentation for
 the fftw3 library.

Package: libfftw3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libfftw3-dev (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Library for computing Fast Fourier Transforms - debug symbols
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 For documentation, see libfftw3-doc.
