## fftw3 3.3.1

=== debian/changelog ===
fftw3 (3.3.1-3) experimental; urgency=low

  * Add the multiarch support. Thanks to Julian Taylor for the patch
    (Closes: #664155)
  * Fix some various silly and useless conflicts (Closes: #664156)
  
 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Mar 2012 23:08:45 +0100

fftw3 (3.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #661867)
  * Enable the MPI version of fftw (Closes: #528680)
  * Standards-Version to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Mar 2012 14:19:28 +0100
