=== debian/control ===
--- 
+++ 
@@ -4,23 +4,43 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Paul Brossier <piem@debian.org>
 Build-Depends: debhelper (>=7.0.0),
+               dpkg (>= 1.16.0),
                gfortran,
-               texinfo, quilt
+               texinfo, quilt, mpi-default-dev
 Build-Depends-Indep: transfig, ghostscript (>> 8.63)
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fftw3/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/fftw3/
 Homepage: http://fftw.org
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: libfftw3-3
 Architecture: any
 Section: libs
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libfftw3-dev
 Provides: fftw3
 Replaces: fftw3
 Conflicts: fftw3
-Description: library for computing Fast Fourier Transforms
+Multi-Arch: same
+Description: Library for computing Fast Fourier Transforms
+ The FFTW library computes Fast Fourier Transforms (FFT) in one or more
+ dimensions. It is extremely fast. This package contains the shared library
+ versions of the fftw libraries in single, double and long double precisions.
+ Note that on some architectures double is the same as long double in which
+ case there is no long double library.
+ .
+ To get the static library and the header files, you need to install
+ libfftw3-dev. For documentation, see libfftw3-doc.
+
+Package: libfftw3-mpi-3
+Architecture: any
+Section: libs
+Pre-Depends: multiarch-support
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libfftw3-mpi-dev
+Multi-Arch: same
+Description: MPI Library for computing Fast Fourier Transforms
  The FFTW library computes Fast Fourier Transforms (FFT) in one or more
  dimensions. It is extremely fast. This package contains the shared library
  versions of the fftw libraries in single, double and long double precisions.
@@ -37,7 +57,18 @@
 Provides: fftw3-dev
 Replaces: fftw3-dev
 Conflicts: fftw3-dev
-Description: library for computing Fast Fourier Transforms
+Description: Library for computing Fast Fourier Transforms
+ The FFTW library computes Fast Fourier Transforms (FFT) in one or more
+ dimensions. It is extremely fast. This package contains the statically linked
+ library, header files and test programs.
+ .
+ For documentation, see libfftw3-doc.
+
+Package: libfftw3-mpi-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: MPI Library for computing Fast Fourier Transforms
  The FFTW library computes Fast Fourier Transforms (FFT) in one or more
  dimensions. It is extremely fast. This package contains the statically linked
  library, header files and test programs.
@@ -52,7 +83,7 @@
 Provides: fftw3-doc
 Replaces: fftw3-doc
 Conflicts: fftw3-doc
-Description: documentation for fftw version 3
+Description: Documentation for fftw version 3
  The FFTW library computes Fast Fourier Transforms (FFT) in one or more
  dimensions. It is extremely fast. This package contains the documentation for
  the fftw3 library.
@@ -67,4 +98,6 @@
  dimensions. It is extremely fast. This package contains the statically linked
  library, header files and test programs.
  .
+ This package contains debug packages for both serial and MPI versions.
+ .
  For documentation, see libfftw3-doc.
