=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CFLAGS := -g -Wall
 
@@ -59,7 +60,7 @@
 SETCFLAGS := CFLAGS='$(CFLAGS)'
 
 # common configure options
-archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-portable-binary
+archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-portable-binary --enable-mpi --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 build-arch:
 	# single precision
@@ -70,6 +71,11 @@
 	#
 	# double precision
 	$(SETCFLAGS) ./configure $(archconfflags) $(archconfflags_double)
+ifneq (,$(filter $(ARCHITECTURE), armel armhf))
+	# work around LP: #841437
+	$(MAKE) -C rdft/scalar/r2cf r2cf_64.lo CFLAGS='-g -Wall -O1 -pthread'
+	$(MAKE) -C rdft/scalar/r2cb r2cb_64.lo CFLAGS='-g -Wall -O1 -pthread'
+endif
 	$(MAKE)
 	( cd tests ; $(MAKE) smallcheck )
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp-double
@@ -137,6 +143,9 @@
 	if ! ./test_long_long-double; then \
 		dh_install -a --sourcedir=debian/tmp-long-double; \
 	fi
+	rm debian/libfftw3-3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi* debian/libfftw3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi* debian/libfftw3-dev/usr/include/*mpi*
+
+
 	dh_installman -a
 	dh_strip --dbg-package=libfftw3-dbg -a
 	dh_compress -a -X.c -X.pl -X.am -X.in
