## fftw3 3.3.2

=== debian/changelog ===
fftw3 (3.3.2-3.1ubuntu1) quantal; urgency=low

  * merge with Debian, remaining changes:
    - remove the mpi packages not suitable for main
    - add debian/source/extended-diff-ignore to ignore generated files
    - add hardening flags to long long test so build log check does not complain

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 18 Aug 2012 16:29:47 +0200

fftw3 (3.3.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Use xz compression for binary packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 05 Aug 2012 16:38:56 +0200

fftw3 (3.3.2-3ubuntu1) quantal; urgency=low

  * merge with Debian (LP: #1007259, #781726)
  * remove the mpi packages not suitable for main
  * add debian/source/extended-diff-ignore to ignore generated files
  * add hardening flags to long long test so build log check does not complain

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 21 Jun 2012 23:07:47 +0200

fftw3 (3.3.2-3) unstable; urgency=low

  * disable neon for armel, it has no fpu

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 10 Jun 2012 12:02:19 +0200

fftw3 (3.3.2-2) unstable; urgency=low

  * remove workaround for a transient gcc failure on arm (LP: #841437)
  * enable runtime detected neon extension support on arm and armhf
  * enable sse extensions for kfreebsd (Closes: #674760)
    avx not supported yet 
  * drop 04_improve_semaphore_detection.diff
    semaphores are not shared anymore since 3.2.2
  * enable hardening options
  * move packaging to git

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 09 Jun 2012 22:44:57 +0200

fftw3 (3.3.2-1) unstable; urgency=low

  * Team upload to unstable
  * New upstream release
  * enable avx on i386 too, detected at runtime
  * move wisdom tools to libfftw3-bin, make libfftw3-dev multiarch same
  * revert split into -mt package
    package size gain is negiglible compared to main library
  * drop debian/patches/fix-links.patch applied upstream
  * remove empty directories from libfftw3-dev
  * respect DEB_BUILD_OPTIONS parallel
  * add myself to Uploaders

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 18 May 2012 17:09:50 +0200

fftw3 (3.3.1-4) experimental; urgency=low

  * Team upload.
  * enable avx on amd64, detected at runtime
  * debian/patches/fix-links.patch:
    - Fix links of the thread and mpi library (Closes: #664531)
  * debian/rules:
    - pass MPILIBS=mpicc --showme:link to configure to ensure correct
      mpi linkage
    - remove rpath from mpi libs with chrpath, add build-depend on it
    - remove unneeded quilt.make and the build-depend
  * wrap-and-sort debian directory
  * minor package description cleanup
  * stop using removed --enable-portable-binary which is now default
  * Build the openmp and pthread libraries into libfftw3-mt{3,dev}
  * rename libfftw3-mpi-3 to libfftw3-mpi3 to conform to naming rules

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 23 Mar 2012 00:26:17 +0100
